Loading...
Searching...
No Matches
XrdCms::CmsStatusRequest Struct Reference

`#include <YProtocol.hh>`

Collaboration diagram for XrdCms::CmsStatusRequest:

## Public Types

enum | { kYR_Stage = 0x01 , kYR_noStage = 0x02 , kYR_Resume = 0x04 , kYR_Suspend = 0x08 , kYR_Reset = 0x10 }

## Public Attributes

CmsRRHdr | Hdr

## Detailed Description

Definition at line 593 of file YProtocol.hh.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
kYR_Stage |
kYR_noStage |
kYR_Resume |
kYR_Suspend |
kYR_Reset |

Definition at line 596 of file YProtocol.hh.

{kYR_Stage = 0x01, kYR_noStage = 0x02, // Modifier
kYR_Resume = 0x04, kYR_Suspend = 0x08,
kYR_Reset = 0x10 // Exclusive
};
XrdCms::CmsStatusRequest::kYR_Reset
@ kYR_Reset
Definition YProtocol.hh:598
XrdCms::CmsStatusRequest::kYR_Resume
@ kYR_Resume
Definition YProtocol.hh:597
XrdCms::CmsStatusRequest::kYR_noStage
@ kYR_noStage
Definition YProtocol.hh:596
XrdCms::CmsStatusRequest::kYR_Suspend
@ kYR_Suspend
Definition YProtocol.hh:597
XrdCms::CmsStatusRequest::kYR_Stage
@ kYR_Stage
Definition YProtocol.hh:596

## Member Data Documentation

## Hdr

CmsRRHdr XrdCms::CmsStatusRequest::Hdr

Definition at line 594 of file YProtocol.hh.

Referenced by XrdCmsState::Monitor(), and XrdCmsState::sendState().

The documentation for this struct was generated from the following file:

- YProtocol.hh